--- jed.SlackBuild	2006-08-01 01:54:59.000000000 -0400
+++ jed.SlackBuild.s390x	2006-09-07 23:31:02.000000000 -0400
@@ -11,7 +11,7 @@
   SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
 elif [ "$ARCH" = "i486" ]; then
   SLKCFLAGS="-O2 -march=i486 -mtune=i686"
-elif [ "$ARCH" = "s390" ]; then
+elif [ "$ARCH" = "s390x" ]; then
   SLKCFLAGS="-O2"
 elif [ "$ARCH" = "x86_64" ]; then
   SLKCFLAGS="-O2"
@@ -24,7 +24,9 @@
 rm -rf jed-$VERSION
 tar xjvf $CWD/jed-$VERSION.tar.bz2
 cd jed-$VERSION
-zcat $CWD/jed.mouse.diff.gz | patch -p1 --verbose --backup --suffix=.orig || exit 1
+if [ ! "$ARCH" = "s390x" ]; then
+  zcat $CWD/jed.mouse.diff.gz | patch -p1 --verbose --backup --suffix=.orig || exit 1
+fi
 zcat $CWD/jed.multibyte.diff.gz | patch -p1 --verbose --backup --suffix=.orig || exit 1
 
 chown -R root:root .
@@ -49,7 +51,7 @@
 make install DESTDIR=$PKG
 ( cd src
   make rgrep
-  cd objs
+  cd s390xobjs
   cp rgrep $PKG/usr/bin
 )
 ( cd $PKG
